package com.ruoyi.clock.exception;

import com.ruoyi.common.enums.IIntegerEnum;
import java.util.Objects;


/**
 * 异常枚举
 */
public enum AgentExceptionEnum implements IIntegerEnum {

    // TODO 注意检查错误码，保证系统内唯一
    AGENT_IS_NOT_EXISTS(200001, "代理商信息不存在"),
    AGENT_REPEAT(200002, "代理商已经存在"),


    ;

    private Integer code;

    private String msg;

    AgentExceptionEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    @Override
    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public static AgentExceptionEnum getByCode(int code, AgentExceptionEnum[] values) {
        for (AgentExceptionEnum value : values) {
            if (Objects.equals(code, value.getCode())) {
                return value;
            }
        }
        return null;
    }

}
